View Issue Details

IDProjectCategoryView StatusLast Update
0020622LazarusPatchpublic2011-11-06 09:42
ReporterAvishaiAssigned ToJesus Reyes 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.31 (SVN)Product Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0020622: Fix for TLabeledEdit BiDiMode
DescriptionI added the following code to customlabelededit.inc and it seems to make TLabeledEdit function properly for BiDiMode.

  TCustomLabeledEdit = class(TCustomEdit)
  private
    ...
  protected
    ...
    procedure CMBiDiModeChanged(var Message: TLMessage); message CM_BIDIMODECHANGED;

----------------

procedure TCustomLabeledEdit.CMBiDiModeChanged(var Message: TLMessage);
begin
  inherited;
  FEditLabel.BiDiMode:= BiDiMode;
  DoPositionLabel;
  InValidate;
end;

Lazarus version 33195
FPC version 2.5.1
Win64
TagsNo tags attached.
Fixed in Revision33320
LazTarget0.99.0
WidgetsetWin32/Win64
Attached Files

Activities

Jesus Reyes

2011-11-05 06:54

developer   ~0053810

Applied please test

Avishai

2011-11-06 07:59

reporter   ~0053835

Thank you Mr. Reyes.

Almost works :) Still need to add:

TLabeledEdit = class (TCustomLabeledEdit)
  ...
  property BiDiMode
  ...
  property ParentBiDiMode

Jesus Reyes

2011-11-06 09:33

developer   ~0053836

I see it coming :)

done in r33363

thank you

Avishai

2011-11-06 09:41

reporter   ~0053837

Thank you Mr. Reyes. You are a good man :)

Issue History

Date Modified Username Field Change
2011-11-04 14:54 Avishai New Issue
2011-11-04 14:54 Avishai Widgetset => Win32/Win64
2011-11-05 06:44 Jesus Reyes Status new => assigned
2011-11-05 06:44 Jesus Reyes Assigned To => Jesus Reyes
2011-11-05 06:54 Jesus Reyes Fixed in Revision => 33320
2011-11-05 06:54 Jesus Reyes LazTarget => 0.99.0
2011-11-05 06:54 Jesus Reyes Status assigned => resolved
2011-11-05 06:54 Jesus Reyes Fixed in Version => 0.9.31 (SVN)
2011-11-05 06:54 Jesus Reyes Resolution open => fixed
2011-11-05 06:54 Jesus Reyes Note Added: 0053810
2011-11-05 06:54 Jesus Reyes Target Version => 0.99.0
2011-11-06 07:59 Avishai Note Added: 0053835
2011-11-06 09:33 Jesus Reyes Note Added: 0053836
2011-11-06 09:41 Avishai Note Added: 0053837
2011-11-06 09:42 Avishai Status resolved => closed